Bug 208417 - compiz not xinerama aware
compiz not xinerama aware
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks: 213102
  Show dependency treegraph
 
Reported: 2006-09-28 10:11 EDT by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 15:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial Xinerama support for compiz (11.08 KB, patch)
2006-10-16 02:49 EDT, Saikat Guha
no flags Details | Diff

  None (edit)
Description Thomas J. Baker 2006-09-28 10:11:38 EDT
Description of problem:

Compiz is not xinerma aware. I just upgraded my main desktop to rawhide (clean
install actually) like I do at every T3 release and after getting the nvidia
binary drivers working, it seems compiz doesn't understand I have two screens.
Switching back to metacity restores xinerma awareness. 

I know at some point under ubuntu I tested a compiz that was xinerma aware but
it may have been quinnstorms version.

Version-Release number of selected component (if applicable):

compiz-0.0.13-0.28.20060817git.fc6
Comment 1 Thomas J. Baker 2006-09-28 10:22:37 EDT
This affects the plane switcher too as it is difficult to determine which
desktop is currently chosen.
Comment 2 Thomas J. Baker 2006-09-29 13:48:24 EDT
This affects the gnome-screensaver unlock dialog. With compiz enabled on my dual
head setup, the unlock dialog doesn't actually appear on the screen. I can type
my password and the screen will unlock but no dialog is visible. Switching to
metacity, things work as expected. On my other single head test system which is
also running the nvidia binary driver, everything works as expected and the
dialog does appear with compiz enabled.
Comment 3 Steven Haigh 2006-09-29 21:55:40 EDT
I also see these issues. I have a dual 20" LCDs running 1600x1200 off an NVidia
card. The placement of a lot of windows is annoying (ie the shutdown dialog,
password prompts etc) as they usually appear with half the dialog on one screen
and half on the other.

I think it's mainly as Compiz treats the display as a single display of 3200x1200.

Oh - and on a side note, the Fedora DNA dual screen background looks really nice :)
Comment 4 Saikat Guha 2006-10-15 05:34:03 EDT
I have the same problem. 

Running compiz-0.0.13-0.33.20061007git (version bumped from Rawhide)

I am using TwinView w/ NVidia driver 9625.

Is it possible compiz doesn't support twinview? Or is this a more general problem?
Comment 5 Saikat Guha 2006-10-16 02:49:50 EDT
Created attachment 138554 [details]
Initial Xinerama support for compiz

Adds initial Xinerama suport to compiz:
- maximizing windows maximizes to only one monitor

Patch should apply to upstream git:10/14 + the following Fedora patches
modified for 20061014git:
- aiglx-defaults.patch
- tfp-server-extension.patch
- composite-cube-logo.patch
- fbconfig-depth-fix.patch
- fedora-logo.patch
- glfinish.patch
- cow.patch
- resize-offset.patch
- restart.patch
- icon-menu.patch
Comment 6 Thomas J. Baker 2007-02-16 15:13:25 EST
This is fixed in the compiz-0.3.6 release.

Note You need to log in before you can comment on or make changes to this bug.